Package org.apache.commons.math3.ml.neuralnet

# Interface UpdateAction

All Known Implementing Classes:
  `KohonenUpdateAction`

public interface UpdateAction
Describes how to update the network in response to a training sample.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`void`
`update(Network net, double[] features)`
Updates the network in response to the sample `features`.

## Method Details

### update

void update(Network net, double[] features)
Updates the network in response to the sample `features`.

Parameters:
  `net` - Network.
  `features` - Training data.